Author Topic: PmMail 3.24 bug  (Read 484 times)

Doug Clark

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 18
  • Posts: 195
    • View Profile
PmMail 3.24 bug
« on: May 17, 2020, 06:55:41 pm »
I upgraded to PmMail 3.24 and have encountered a bug which I cannot report to OS2 Voice.

The bug is:  The setting "Channel Encryption is Optional" does not retain its setting for two of my channels when PmMail is closed.  That setting is on the Global Settings notebook, on the Secure Transfer tab, select a Channel Definition and click the modify button. The Channel Encryption is Optional checkbox is on the dialog box that pops up.   If that check box is not checked PmMail will not connect to my Comcast email server.  The setting reverts to unchecked for two of my channels when PmMail is closed.

I tried reporting the bug to the URL specified in the PmMail help.  Which requires creating a new account in Mantis bug Tracker. The first time I tried to create an account I accidently typed the wrong email address.  There is no way to recover from this because the user name for the new account is now consided to be taken when I retry.  So I created another user name, correctly typed my email address, and tried using the confirmation URL emailed me by Mantis but received a message which says "The confirmation URL is invalid or has already been used. Please signup again."

BTW - other than that the new version looks very nice.


Doug Bissett

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 53
  • Posts: 1312
    • View Profile
Re: PmMail 3.24 bug
« Reply #1 on: May 17, 2020, 09:50:20 pm »
Quote
have encountered a bug which I cannot report to OS2 Voice.

There is an unresolved user sign up problem. An old sign on should still work. I will report your problem to the Mantis owner. You should hear something within a couple of days.

You should join the PMMail user mail list. Go to: http://www.os2voice.org/mailinglists.html and subscribe. The mail list is not the place to report problems with PMMail, it is a discussion group (where you can discuss problems, but don't expect them to be resolved, unless you report them to the Mantis bug tracker), but you can report sign up problems.

Quote
The bug is:  The setting "Channel Encryption is Optional" does not retain its setting for two of my channels when PmMail is closed.  That setting is on the Global Settings notebook, on the Secure Transfer tab, select a Channel Definition and click the modify button. The Channel Encryption is Optional checkbox is on the dialog box that pops up.   If that check box is not checked PmMail will not connect to my Comcast email server.  The setting reverts to unchecked for two of my channels when PmMail is closed.

This sounds like it is related to a couple of other, unresolved, problems, that seem to be caused by the new build system. Please be sure to report it, as soon as you get a usable logon (should be within a couple of days).

Neil Waldhauer

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 41
  • Posts: 546
    • View Profile
    • Blonde Guy
Re: PmMail 3.24 bug
« Reply #2 on: May 17, 2020, 10:59:06 pm »
Maybe this should be it's own thread, but I have hit a snag building PMMail. If I attempt to install gcc from netlabs-rel, it fails because there is a dependency error. The libraries in netlabs-rel that support gcc don't match the gcc in netlabs-rel.

Code: [Select]
17 May 2020 13:35:45 executing yum install gcc
17 May 2020 13:35:48 Setting up Install Process
17 May 2020 13:35:48 Resolving Dependencies
17 May 2020 13:35:48 --> Running transaction check
17 May 2020 13:35:48 ---> Package gcc.i686 0:9.2.0-2.oc00 will be installed
17 May 2020 13:35:48 --> Processing Dependency: cpp = 9.2.0-2.oc00 for package: gcc-9.2.0-2.oc00.i686
17 May 2020 13:35:48 --> Processing Dependency: libgcc = 9.2.0-2.oc00 for package: gcc-9.2.0-2.oc00.i686
17 May 2020 13:35:48 --> Processing Dependency: mpfr.dll for package: gcc-9.2.0-2.oc00.i686
17 May 2020 13:35:48 --> Processing Dependency: mpc.dll for package: gcc-9.2.0-2.oc00.i686
17 May 2020 13:35:48 --> Running transaction check
17 May 2020 13:35:48 ---> Package cpp.i686 0:9.2.0-2.oc00 will be installed
17 May 2020 13:35:48 --> Processing Dependency: libstdc++ = 9.2.0-2.oc00 for package: cpp-9.2.0-2.oc00.i686
17 May 2020 13:35:48 --> Processing Dependency: libgcc = 9.2.0-2.oc00 for package: cpp-9.2.0-2.oc00.i686
17 May 2020 13:35:48 ---> Package gcc.i686 0:9.2.0-2.oc00 will be installed
17 May 2020 13:35:48 --> Processing Dependency: libgcc = 9.2.0-2.oc00 for package: gcc-9.2.0-2.oc00.i686
17 May 2020 13:35:48 ---> Package libmpc3.i686 0:1.0.1-3 will be installed
17 May 2020 13:35:48 ---> Package mpfr.i686 0:3.1.0-2.oc00 will be installed
17 May 2020 13:35:48 --> Finished Dependency Resolution
17 May 2020 13:35:48 Error: Package: cpp-9.2.0-2.oc00.i686 (netlabs-rel)
17 May 2020 13:35:48            Requires: libgcc = 9.2.0-2.oc00
17 May 2020 13:35:48            Installed: libgcc-9.2.0-4.oc00.i686 (installed)
17 May 2020 13:35:48                libgcc = 9.2.0-4.oc00
17 May 2020 13:35:48            Available: libgcc-9.2.0-2.oc00.i686 (netlabs-rel)
17 May 2020 13:35:48                libgcc = 9.2.0-2.oc00
17 May 2020 13:35:48 Error: Package: gcc-9.2.0-2.oc00.i686 (netlabs-rel)
17 May 2020 13:35:48            Requires: libgcc = 9.2.0-2.oc00
17 May 2020 13:35:48            Installed: libgcc-9.2.0-4.oc00.i686 (installed)
17 May 2020 13:35:48                libgcc = 9.2.0-4.oc00
17 May 2020 13:35:48            Available: libgcc-9.2.0-2.oc00.i686 (netlabs-rel)
17 May 2020 13:35:48                libgcc = 9.2.0-2.oc00
17 May 2020 13:35:48 Error: Package: cpp-9.2.0-2.oc00.i686 (netlabs-rel)
17 May 2020 13:35:48            Requires: libstdc++ = 9.2.0-2.oc00
17 May 2020 13:35:48            Installed: libstdc++-9.2.0-4.oc00.i686 (installed)
17 May 2020 13:35:48                libstdc++ = 9.2.0-4.oc00
17 May 2020 13:35:48            Available: libstdc++-4.4.6.17-1.oc00.i386 (netlabs-rel)
17 May 2020 13:35:48                libstdc++ = 4.4.6.17-1.oc00
17 May 2020 13:35:48            Available: libstdc++-9.2.0-2.oc00.i686 (netlabs-rel)
17 May 2020 13:35:48                libstdc++ = 9.2.0-2.oc00
17 May 2020 13:35:48  You could try using --skip-broken to work around the problem
17 May 2020 13:35:48  You could try running: rpm -Va --nofiles --nodigest
17 May 2020 13:35:58 yum completed, status: Cancel
17 May 2020 13:35:58 doYum(install gcc) returned 1
17 May 2020 13:35:58 YUM utility executing install gcc did not complete.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 169
  • Posts: 2427
    • View Profile
Re: PmMail 3.24 bug
« Reply #3 on: May 17, 2020, 11:55:41 pm »
Hi Neil, have you been mixing netlabs-exp and netlabs-rel? Anyways perhaps try downgrading libgcc to 9.2.0-2.0c00 and then doing the update after making sure netlabs-exp is not enabled.

Neil Waldhauer

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 41
  • Posts: 546
    • View Profile
    • Blonde Guy
Re: PmMail 3.24 bug
« Reply #4 on: May 18, 2020, 04:47:31 am »
That seems to be the trick. I installed under ArcaOS Beta. You probably can see what happened. ArcaOS beta has unreleased software in it. So I went to a ArcaOS 5.0.4 GA installation and gcc and gcc++ install. But when I go to run, gcc fails because it can't spawn as.

Quote
g++.exe: fatal error: cannot execute 'as': spawnvp: No such file or directory

I tried installing binutils, and that seemed to make it happy.
« Last Edit: May 18, 2020, 05:38:19 am by Neil Waldhauer »
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 169
  • Posts: 2427
    • View Profile
Re: PmMail 3.24 bug
« Reply #5 on: May 18, 2020, 05:30:01 am »
That's weird, you'd think installing GCC would pull in the needed programs. as.exe is the Gnu Assembler. It's in binutils-2.33.1-1 along with a lot of other needed stuff.

Neil Waldhauer

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 41
  • Posts: 546
    • View Profile
    • Blonde Guy
Re: PmMail 3.24 bug
« Reply #6 on: May 18, 2020, 09:23:01 am »
PMMail is running here, built on GCC 9.2.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Doug Clark

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 18
  • Posts: 195
    • View Profile
Re: PmMail 3.24 bug
« Reply #7 on: May 18, 2020, 03:03:55 pm »
Thanks Doug B.  I will report it when I get a logon.

Lewis Rosenthal

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 13
  • Posts: 68
    • View Profile
    • Tales from the Trenches of IT
Re: PmMail 3.24 bug
« Reply #8 on: May 18, 2020, 03:44:26 pm »
Hi, Doug.

Your login should be working. I sent you an email yesterday with your temporary password. Please let me know if for some reason you didn't get that.

I swear I am going to look at what is failing in the Mantis install for PMMail as soon as humanly possible (tentatively scheduled for next week).

Cheers, and apologies again for the frustration with the new account setup.
Lewis
-------------------------------------------------------------
Lewis G Rosenthal, CNA, CLP, CLE, CWTS
Managing Member
Arca Noae, LLC                               www.arcanoae.com

Doug Clark

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 18
  • Posts: 195
    • View Profile
Re: PmMail 3.24 bug
« Reply #9 on: May 18, 2020, 11:33:52 pm »
Lewis,

For some reason the email didn't go through.

Dariusz Piatkowski

  • Hero Member
  • *****
  • Thank You
  • -Given: 14
  • -Receive: 16
  • Posts: 709
    • View Profile
Re: PmMail 3.24 bug
« Reply #10 on: May 18, 2020, 11:46:10 pm »
Hi Neil,

PMMail is running here, built on GCC 9.2.

Do you need any (additional?) testers?

I've got 4 email accounts defined in PMMail currently, thousands of email messages...happy to put it through it's paces.

Thanks!

Lewis Rosenthal

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 13
  • Posts: 68
    • View Profile
    • Tales from the Trenches of IT
Re: PmMail 3.24 bug
« Reply #11 on: May 18, 2020, 11:54:47 pm »
Stand by, Doug (C). I'll re-send. Who knows? Maybe it was deemed "non-essential" by some Governor ruling his fiefdom in between us, and was hauled off to jail.  :D

Edit: Just re-sent from my SysAdmin AT os2voice DOT org account to the same address I've had for you for ages (and ages). Let me know.
« Last Edit: May 19, 2020, 12:04:41 am by Lewis Rosenthal »
Lewis
-------------------------------------------------------------
Lewis G Rosenthal, CNA, CLP, CLE, CWTS
Managing Member
Arca Noae, LLC                               www.arcanoae.com

Neil Waldhauer

  • Hero Member
  • *****
  • Thank You
  • -Given: 9
  • -Receive: 41
  • Posts: 546
    • View Profile
    • Blonde Guy
Re: PmMail 3.24 bug
« Reply #12 on: May 19, 2020, 03:12:15 am »
Hi Neil,

PMMail is running here, built on GCC 9.2.

Do you need any (additional?) testers?

I've got 4 email accounts defined in PMMail currently, thousands of email messages...happy to put it through it's paces.

Thanks!

Testers are on the PMMail users mailing list, and have access to PMMail Mantis for bug reporting. See the PMMail website for details. This thread shows we are having some issues registering new users.

New testers are welcome.

Neil
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com